summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author B. Watson2018-06-20 00:50:55 +0200
committer Willy Sudiarto Raharjo2018-06-23 03:44:01 +0200
commitfdd50477c43f720d7350ef242680d54423412721 (patch)
tree48bf3917424e4cae4a3b291ba20a4652371621b4 /development
parent2181cffe17aacf2ced13ef7c6f106cb0b8b5ce71 (diff)
downloadslackbuilds-fdd50477c43f720d7350ef242680d54423412721.tar.gz
development/mawk: Added (fast awk implementation).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/mawk/README18
-rw-r--r--development/mawk/mawk.SlackBuild82
-rw-r--r--development/mawk/mawk.info10
-rw-r--r--development/mawk/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/development/mawk/README b/development/mawk/README
new file mode 100644
index 0000000000..795e5fc177
--- /dev/null
+++ b/development/mawk/README
@@ -0,0 +1,18 @@
+mawk (fast awk implementation)
+
+mawk (Mike's AWK) is an interpreter for the AWK Programming Language. It's
+a very fast AWK implementation based on a bytecode interpreter. Originally
+written by Mike Brennan, mawk is currently maintained by Thomas E. Dickey.
+
+The AWK language is useful for manipulation of data files, text
+retrieval and processing, and for prototyping and experimenting with
+algorithms. mawk is a new awk meaning it implements the AWK language as
+defined in Aho, Kernighan and Weinberger, The AWK Programming Language,
+Addison-Wesley Publishing, 1988.
+
+mawk conforms to the Posix 1003.2 (draft 11.3) definition of the AWK
+language which contains a few features not described in the AWK book,
+and mawk provides a small number of extensions.
+
+This build does not conflict with Slackware's own awk (from the gawk
+package).
diff --git a/development/mawk/mawk.SlackBuild b/development/mawk/mawk.SlackBuild
new file mode 100644
index 0000000000..36196827ac
--- /dev/null
+++ b/development/mawk/mawk.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for mawk
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=mawk
+VERSION=${VERSION:-1.3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+strip $PKG/usr/bin/$PRGNAM
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ACKNOWLEDGMENT CHANGES COPYING MANIFEST README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/mawk/mawk.info b/development/mawk/mawk.info
new file mode 100644
index 0000000000..7139df4270
--- /dev/null
+++ b/development/mawk/mawk.info
@@ -0,0 +1,10 @@
+PRGNAM="mawk"
+VERSION="1.3.4"
+HOMEPAGE="http://invisible-island.net/mawk/mawk.html"
+DOWNLOAD="ftp://ftp.invisible-island.net/mawk/mawk-1.3.4.tgz"
+MD5SUM="b1d27324ae80302452d0fa0c98447b65"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/development/mawk/slack-desc b/development/mawk/slack-desc
new file mode 100644
index 0000000000..0f4f678359
--- /dev/null
+++ b/development/mawk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mawk: mawk (fast awk implementation)
+mawk:
+mawk: mawk (Mike's AWK) is an interpreter for the AWK Programming
+mawk: Language. It's a very fast AWK implementation based on a bytecode
+mawk: interpreter. Originally written by Mike Brennan, mawk is currently
+mawk: maintained by Thomas E. Dickey.
+mawk:
+mawk:
+mawk:
+mawk:
+mawk: